<?php

class Book extends CActiveRecord
{
	/**
	 * The followings are the available columns in table 'Book':
	 * @var integer $id
	 * @var string $isbn
	 * @var string $title
	 * @var string $release_date
	 */

	/**
	 * Returns the static model of the specified AR class.
	 * @return CActiveRecord the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'Book';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		return array(
			array('isbn','length','max'=>22),
			array('title','length','max'=>255),
			array('isbn, title, release_date', 'required'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			'libraries' => array(self::MANY_MANY, 'Library', 'LibraryBook(libraryID, bookISBN)'),
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id' => 'Id',
			'isbn' => 'Isbn',
			'title' => 'Title',
			'release_date' => 'Release Date',
		);
	}
}