<?php

class LibraryBook extends CActiveRecord
{
	/**
	 * The followings are the available columns in table 'LibraryBook':
	 * @var integer $libraryID
	 * @var string $bookISBN
	 * @var string $location
	 */

	/**
	 * Returns the static model of the specified AR class.
	 * @return CActiveRecord the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'LibraryBook';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		return array(
			array('bookISBN','required'),
            array('bookISBN','exist','className'=>'Book','attributeName'=>'isbn'),
			array('location','length','max'=>80),
			array('location', 'required', 'on'=>'create'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			'book'=>array(self::BELONGS_TO, 'Book', 'bookISBN'),
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'libraryID' => 'Library',
			'bookISBN' => 'Book Isbn',
			'location' => 'Location',
		);
	}
}